# Uses of Enum Class org.bukkit.inventory.InventoryView.Property (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.inventory, class: InventoryView, enum: Property

# Uses of Enum Class
org.bukkit.inventory.InventoryView.Property

Packages that use InventoryView.Property
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of InventoryView.Property in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type InventoryView.Property
Modifier and Type
Method
Description
`boolean`
HumanEntity.`setWindowProperty(InventoryView.Property prop, int value)`
If the player currently has an inventory window open, this method will set a property of that window, such as the state of a progress bar.

## Uses of InventoryView.Property in org.bukkit.inventory

Methods in org.bukkit.inventory that return InventoryView.Property
Modifier and Type
Method
Description
`static InventoryView.Property`
InventoryView.Property.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryView.Property[]`
InventoryView.Property.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.inventory with parameters of type InventoryView.Property
Modifier and Type
Method
Description
`final boolean`
InventoryView.`setProperty(@NotNull InventoryView.Property prop, int value)`
Sets an extra property of this inventory if supported by that inventory, for example the state of a progress bar.